(function(myname) {
  if (window.RLLibrary == null)
    return;
  var RLLib = new RLLibrary(myname);
  var SysStorage = new CreateRLStorageInstance(myname, RLLib);

  if (SysStorage.getKey("se-disabled") == "true")
    return;

  function AttachToCloseButtons() {
    RLLib.event(document.getElementById("lb-disable-site"), "onmousedown", function(e) {
      var element = e.target || e.srcElement;
      RLLib.AddonBridge.sendMessage("disable-site", function(response) {
      });
      document.body.removeChild(document.getElementById("se-wrapper"));
    }, false);

    RLLib.event(document.getElementById("lb-snooze-items"), "onmousedown", function(e) {
      var element = e.target || e.srcElement;

      if (typeof SearchBoxPopup != "undefined") {
        SearchBoxPopup.hide();
        SearchBoxPopup.Detach();
      }

      element = element.href.toString();

      var time = Number(element.substr(element.lastIndexOf("#") + 1, element.length));
      var toTime = ((new Date()).getTime() + time * 60 * 1000);

      RLLib.AddonBridge.sendMessage("snooze-to", function(response) {
      }, toTime.toString());

      document.body.removeChild(document.getElementById("se-wrapper"));

    }, false);

    RLLib.event(document.getElementById("speller-close"), "onmousedown", function(e) {
      var element = e.target || e.srcElement;
      RLLib.AddonBridge.sendMessage("close-lightbox", function(response) {
      });
    }, false);


  }

  var LightBox = {
    closeAll: function() {

      if (typeof SearchBoxPopup != "undefined") {
        SearchBoxPopup.hide();
        SearchBoxPopup.Detach();
      }
      LightBox.close();
    },

    disableSite: function() {

      if (typeof SearchBoxPopup != "undefined") {
        SearchBoxPopup.hide();
        SearchBoxPopup.Detach();
      }

      SysStorage.setKey("se-disabled", "true"); // should be called only in main document!
      LightBox.close();
    },

    show: function(url) {

      var headStyle = document.getElementsByTagName('html')[0].style.cssText;
      var bodyStyle = document.getElementsByTagName('body')[0].style.cssText;

      var boxDiv = document.getElementById("se-lightbox");
      function enable() {
        boxDiv.style.display = "block";
        var lightboxFrame = document.getElementById("lightboxframe");

        lightboxFrame.setAttribute("src", url);
        lightboxFrame.focus();
        LightBox.close = function() {
          document.getElementById("se-lightbox").style.display = "none";
          document.getElementById("lightboxframe").setAttribute("src", "about:blank");
          document.getElementsByTagName('html')[0].style.cssText = headStyle;
          document.getElementsByTagName('body')[0].style.cssText = bodyStyle;

        };

        boxDiv.onclick = function(e) {
          LightBox.close();
          return RLLib.stopEvent(e);
        }

      }
      if (boxDiv == null) {
        RLLib.AddonBridge.sendMessage("read-file", function(response) {
          RLLib.addStyle(response, "se-lightbox-style");
          AttachToCloseButtons();
        }, "res/lightbox/overlayie.css");

        var head = document.getElementsByTagName('head')[0]
        var body = document.getElementsByTagName('body')[0]

        boxDiv = document.createElement('div')
        boxDiv.className = 'se-overlay'
        boxDiv.setAttribute("id", "se-lightbox");
        body.appendChild(boxDiv)

        RLLib.AddonBridge.sendMessage("read-file", function(response) {
          boxDiv.innerHTML = response;
          enable()
        }, "res/lightbox/html");
      } else
        enable();
    }
  };
  AttachToCloseButtons();
  window.SeLightBox = LightBox;

})("search-suggestor");