(function(name) {
  if (window.RLLibrary == null)
    return;
  var SysLib = new RLLibrary(name);
  if (!SysLib)
    return;

  window.SKiller = {
    removeSuggestForDomain: function(domain) {
      switch (domain) {
        case "www.youtube.com":
          return this.removeYoutubeSuggestions();
      }
    },

    removeYoutubeSuggestionsIE7: function() {
      for (var i = 0; i < document.body.childNodes.length; i++) {
        try {
          var node = document.body.childNodes[i];
          if (node == null)
            continue;
          var classAttr = node.getAttribute("class") || node.style.className;
          //alert([i, node.tagName.toLowerCase(), classAttr, node.getAttribute("class"), node.style.className, node.outerHTML]);

          if (node.tagName != null &&
                          node.tagName.toLowerCase() == "table" ||
                          ((classAttr != null && classAttr.indexOf("gssb_c") != -1) ||
                          node.outerHTML.toLowerCase().indexOf("class=\"gstl_0 gssb_c\"") != -1)) {
            document.body.removeChild(node);
            //alert(11);
            break;
          }
        } catch (e) {
          //alert(e.message)
        }
      }
    },

    removeYoutubeSuggestions: function() {
      if (SysLib.getInternetExplorerVersion() == 7) {
        this.removeYoutubeSuggestionsIE7();
        return;
      } else {
        var sug = document.body.querySelector("body>table.gssb_c");
        if (sug) {
          document.body.removeChild(sug);
        }
      }
    }
  };
})("search-suggestor");